読者です 読者をやめる 読者になる 読者になる

この日記は私的なものであり所属会社の見解とは無関係です。 GitHub: takahashikzn

Emacs+はEclipse4.2 Junoをサポートせず


2012/7/25追記:Junoへの対応が始まった模様です!
http://d.hatena.ne.jp/takahashikzn/20120725/1343211856




全国のEmacs+ユーザーの諸君、ごきげんよう。
今日も楽しくコーディングしているかね?


さて、そんな貴君に残念なお知らせを一つ。
Emacs+は、Eclipse4.2 Junoをサポートしない。
作者が『興味ねーっすわ』と明言しているのだ。このフォーラムを参照したまえ。
https://groups.google.com/forum/?fromgroups#!topic/emacsplus/U753GoSYwTQ

Juno is not supported. There are several (if not more) issues with it:


1) They've severely regressed the child binding mechanism (see https://bugs.eclipse.org/bugs/show_bug.cgi?id=375762 and related)
2) They've redone the internal mechanism that is used for split-window, so that will require a re-write.
3) ? (Until 1 is fixed, additional problems remain undiscovered.)


Also, I have no plans presently to spend any significant time on this.
Regards,
Mark



Junoはサポート外。サポートしようにも以下の問題がある。

  1. キーバインド機構に関する深刻なバグが残っている
  2. ウィンドウ分割(C-x 2など)を動くようにするには、コードを大幅に書き直す必要がある
  3. Junoには他にも問題がたくさん潜んでいるような気がする


というわけで、今のところ自分の時間をEmacs+に使うつもりはないので悪しからず。


 マークより


(´・ω・`)


せめてウィンドウ分割だけでも対応してくれんかね…